Subject: Re: [ANNOUNCE] GIT 1.5.0-rc3

From: Robin Rosenberg <[email-masked]>
Date: Thu, 1 Feb 2007 21:34:40 +0100

torsdag 01 februari 2007 01:26 skrev Junio C Hamano:
> Junio C Hamano (43):
>   t9200: Re-code non-ascii path test in UTF-8

I sent a patch that converts to "visible" characters when looked
at with iso-8859-1/windows-1252 googles. It also tests the file system before 
executing the test. 

>   t9200: do not test -x bit if the filesystem does not support it.

The description is misleading. Git on cygwin chooses to ignore the executable 
flag by default, not because the filesystem won't handle it, but rather that 
enough many *other* applications sets it needlessly, that ignoring it becomes 
less problematic than honouring it.

Adding "git config core.filemode true" at the start of this test verifiies 
that it works on NTFS too. 

-- robin